#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSS" "\0"
  /*   862 */ "CSS2Properties" "\0"
  /*   877 */ "CSSAnimation" "\0"
  /*   890 */ "CSSConditionRule" "\0"
  /*   907 */ "CSSContainerRule" "\0"
  /*   924 */ "CSSCounterStyleRule" "\0"
  /*   944 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   977 */ "CSSFontFaceRule" "\0"
  /*   993 */ "CSSFontFeatureValuesRule" "\0"
  /*  1018 */ "CSSFontPaletteValuesRule" "\0"
  /*  1043 */ "CSSGroupingRule" "\0"
  /*  1059 */ "CSSImportRule" "\0"
  /*  1073 */ "CSSKeyframeRule" "\0"
  /*  1089 */ "CSSKeyframesRule" "\0"
  /*  1106 */ "CSSLayerBlockRule" "\0"
  /*  1124 */ "CSSLayerStatementRule" "\0"
  /*  1146 */ "CSSMarginRule" "\0"
  /*  1160 */ "CSSMediaRule" "\0"
  /*  1173 */ "CSSMozDocumentRule" "\0"
  /*  1192 */ "CSSNamespaceRule" "\0"
  /*  1209 */ "CSSPageRule" "\0"
  /*  1221 */ "CSSPropertyRule" "\0"
  /*  1237 */ "CSSPseudoElement" "\0"
  /*  1254 */ "CSSRule" "\0"
  /*  1262 */ "CSSRuleList" "\0"
  /*  1274 */ "CSSScopeRule" "\0"
  /*  1287 */ "CSSStartingStyleRule" "\0"
  /*  1308 */ "CSSStyleDeclaration" "\0"
  /*  1328 */ "CSSStyleRule" "\0"
  /*  1341 */ "CSSStyleSheet" "\0"
  /*  1355 */ "CSSSupportsRule" "\0"
  /*  1371 */ "CSSTransition" "\0"
  /*  1385 */ "Cache" "\0"
  /*  1391 */ "CacheStorage" "\0"
  /*  1404 */ "CallbackDebuggerNotification" "\0"
  /*  1433 */ "CanonicalBrowsingContext" "\0"
  /*  1458 */ "CanvasCaptureMediaStream" "\0"
  /*  1483 */ "CanvasGradient" "\0"
  /*  1498 */ "CanvasPattern" "\0"
  /*  1512 */ "CanvasRenderingContext2D" "\0"
  /*  1537 */ "CaretPosition" "\0"
  /*  1551 */ "CaretStateChangedEvent" "\0"
  /*  1574 */ "ChannelMergerNode" "\0"
  /*  1592 */ "ChannelSplitterNode" "\0"
  /*  1612 */ "ChannelWrapper" "\0"
  /*  1627 */ "CharacterData" "\0"
  /*  1641 */ "CheckerboardReportService" "\0"
  /*  1667 */ "ChildProcessMessageManager" "\0"
  /*  1694 */ "ChildSHistory" "\0"
  /*  1708 */ "ChromeMessageBroadcaster" "\0"
  /*  1733 */ "ChromeMessageSender" "\0"
  /*  1753 */ "ChromeNodeList" "\0"
  /*  1768 */ "ChromeUtils" "\0"
  /*  1780 */ "ChromeWorker" "\0"
  /*  1793 */ "Client" "\0"
  /*  1800 */ "Clients" "\0"
  /*  1808 */ "Clipboard" "\0"
  /*  1818 */ "ClipboardEvent" "\0"
  /*  1833 */ "ClipboardItem" "\0"
  /*  1847 */ "ClonedErrorHolder" "\0"
  /*  1865 */ "CloseEvent" "\0"
  /*  1876 */ "CommandEvent" "\0"
  /*  1889 */ "Comment" "\0"
  /*  1897 */ "CompositionEvent" "\0"
  /*  1914 */ "CompressionStream" "\0"
  /*  1932 */ "ConsoleInstance" "\0"
  /*  1948 */ "ConstantSourceNode" "\0"
  /*  1967 */ "ContentFrameMessageManager" "\0"
  /*  1994 */ "ContentProcessMessageManager" "\0"
  /*  2023 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2061 */ "ConvolverNode" "\0"
  /*  2075 */ "CountQueuingStrategy" "\0"
  /*  2096 */ "CreateOfferRequest" "\0"
  /*  2115 */ "Credential" "\0"
  /*  2126 */ "CredentialsContainer" "\0"
  /*  2147 */ "Crypto" "\0"
  /*  2154 */ "CryptoKey" "\0"
  /*  2164 */ "CustomElementRegistry" "\0"
  /*  2186 */ "CustomEvent" "\0"
  /*  2198 */ "CustomStateSet" "\0"
  /*  2213 */ "DOMException" "\0"
  /*  2226 */ "DOMImplementation" "\0"
  /*  2244 */ "DOMLocalization" "\0"
  /*  2260 */ "DOMMatrix" "\0"
  /*  2270 */ "DOMMatrixReadOnly" "\0"
  /*  2288 */ "DOMParser" "\0"
  /*  2298 */ "DOMPoint" "\0"
  /*  2307 */ "DOMPointReadOnly" "\0"
  /*  2324 */ "DOMQuad" "\0"
  /*  2332 */ "DOMRect" "\0"
  /*  2340 */ "DOMRectList" "\0"
  /*  2352 */ "DOMRectReadOnly" "\0"
  /*  2368 */ "DOMStringList" "\0"
  /*  2382 */ "DOMStringMap" "\0"
  /*  2395 */ "DOMTokenList" "\0"
  /*  2408 */ "DataTransfer" "\0"
  /*  2421 */ "DataTransferItem" "\0"
  /*  2438 */ "DataTransferItemList" "\0"
  /*  2459 */ "DebuggerNotification" "\0"
  /*  2480 */ "DebuggerNotificationObserver" "\0"
  /*  2509 */ "DecompressionStream" "\0"
  /*  2529 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2556 */ "DelayNode" "\0"
  /*  2566 */ "DeprecationReportBody" "\0"
  /*  2588 */ "DeviceAcceleration" "\0"
  /*  2607 */ "DeviceLightEvent" "\0"
  /*  2624 */ "DeviceMotionEvent" "\0"
  /*  2642 */ "DeviceOrientationEvent" "\0"
  /*  2665 */ "DeviceRotationRate" "\0"
  /*  2684 */ "Directory" "\0"
  /*  2694 */ "Document" "\0"
  /*  2703 */ "DocumentFragment" "\0"
  /*  2720 */ "DocumentL10n" "\0"
  /*  2733 */ "DocumentTimeline" "\0"
  /*  2750 */ "DocumentType" "\0"
  /*  2763 */ "DominatorTree" "\0"
  /*  2777 */ "DragEvent" "\0"
  /*  2787 */ "DynamicsCompressorNode" "\0"
  /*  2810 */ "EXT_blend_minmax" "\0"
  /*  2827 */ "EXT_color_buffer_float" "\0"
  /*  2850 */ "EXT_color_buffer_half_float" "\0"
  /*  2878 */ "EXT_disjoint_timer_query" "\0"
  /*  2903 */ "EXT_float_blend" "\0"
  /*  2919 */ "EXT_frag_depth" "\0"
  /*  2934 */ "EXT_sRGB" "\0"
  /*  2943 */ "EXT_shader_texture_lod" "\0"
  /*  2966 */ "EXT_texture_compression_bptc" "\0"
  /*  2995 */ "EXT_texture_compression_rgtc" "\0"
  /*  3024 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3055 */ "EXT_texture_norm16" "\0"
  /*  3074 */ "Element" "\0"
  /*  3082 */ "ElementInternals" "\0"
  /*  3099 */ "EncodedAudioChunk" "\0"
  /*  3117 */ "EncodedVideoChunk" "\0"
  /*  3135 */ "ErrorEvent" "\0"
  /*  3146 */ "Event" "\0"
  /*  3152 */ "EventCallbackDebuggerNotification" "\0"
  /*  3186 */ "EventCounts" "\0"
  /*  3198 */ "EventSource" "\0"
  /*  3210 */ "EventTarget" "\0"
  /*  3222 */ "Exception" "\0"
  /*  3232 */ "ExtendableEvent" "\0"
  /*  3248 */ "ExtendableMessageEvent" "\0"
  /*  3271 */ "ExtensionAlarms" "\0"
  /*  3287 */ "ExtensionBrowser" "\0"
  /*  3304 */ "ExtensionBrowserSettings" "\0"
  /*  3329 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3369 */ "ExtensionDns" "\0"
  /*  3382 */ "ExtensionEventManager" "\0"
  /*  3404 */ "ExtensionMockAPI" "\0"
  /*  3421 */ "ExtensionPort" "\0"
  /*  3435 */ "ExtensionProxy" "\0"
  /*  3450 */ "ExtensionRuntime" "\0"
  /*  3467 */ "ExtensionScripting" "\0"
  /*  3486 */ "ExtensionSetting" "\0"
  /*  3503 */ "ExtensionTest" "\0"
  /*  3517 */ "External" "\0"
  /*  3526 */ "FeaturePolicy" "\0"
  /*  3540 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3573 */ "FetchEvent" "\0"
  /*  3584 */ "FetchObserver" "\0"
  /*  3598 */ "File" "\0"
  /*  3603 */ "FileList" "\0"
  /*  3612 */ "FileReader" "\0"
  /*  3623 */ "FileReaderSync" "\0"
  /*  3638 */ "FileSystem" "\0"
  /*  3649 */ "FileSystemDirectoryEntry" "\0"
  /*  3674 */ "FileSystemDirectoryHandle" "\0"
  /*  3700 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3740 */ "FileSystemDirectoryIterator" "\0"
  /*  3768 */ "FileSystemDirectoryReader" "\0"
  /*  3794 */ "FileSystemEntry" "\0"
  /*  3810 */ "FileSystemFileEntry" "\0"
  /*  3830 */ "FileSystemFileHandle" "\0"
  /*  3851 */ "FileSystemHandle" "\0"
  /*  3868 */ "FileSystemSyncAccessHandle" "\0"
  /*  3895 */ "FileSystemWritableFileStream" "\0"
  /*  3924 */ "Flex" "\0"
  /*  3929 */ "FlexItemValues" "\0"
  /*  3944 */ "FlexLineValues" "\0"
  /*  3959 */ "FluentBundle" "\0"
  /*  3972 */ "FluentBundleAsyncIterator" "\0"
  /*  3998 */ "FluentBundleIterator" "\0"
  /*  4019 */ "FluentPattern" "\0"
  /*  4033 */ "FluentResource" "\0"
  /*  4048 */ "FocusEvent" "\0"
  /*  4059 */ "FontFace" "\0"
  /*  4068 */ "FontFaceSet" "\0"
  /*  4080 */ "FontFaceSetIterator" "\0"
  /*  4100 */ "FontFaceSetLoadEvent" "\0"
  /*  4121 */ "FormData" "\0"
  /*  4130 */ "FormData Iterator" "\0"
  /*  4148 */ "FormDataEvent" "\0"
  /*  4162 */ "FragmentDirective" "\0"
  /*  4180 */ "FrameCrashedEvent" "\0"
  /*  4198 */ "FrameLoader" "\0"
  /*  4210 */ "GPU" "\0"
  /*  4214 */ "GPUAdapter" "\0"
  /*  4225 */ "GPUAdapterInfo" "\0"
  /*  4240 */ "GPUBindGroup" "\0"
  /*  4253 */ "GPUBindGroupLayout" "\0"
  /*  4272 */ "GPUBuffer" "\0"
  /*  4282 */ "GPUBufferUsage" "\0"
  /*  4297 */ "GPUCanvasContext" "\0"
  /*  4314 */ "GPUColorWrite" "\0"
  /*  4328 */ "GPUCommandBuffer" "\0"
  /*  4345 */ "GPUCommandEncoder" "\0"
  /*  4363 */ "GPUCompilationInfo" "\0"
  /*  4382 */ "GPUCompilationMessage" "\0"
  /*  4404 */ "GPUComputePassEncoder" "\0"
  /*  4426 */ "GPUComputePipeline" "\0"
  /*  4445 */ "GPUDevice" "\0"
  /*  4455 */ "GPUDeviceLostInfo" "\0"
  /*  4473 */ "GPUError" "\0"
  /*  4482 */ "GPUInternalError" "\0"
  /*  4499 */ "GPUMapMode" "\0"
  /*  4510 */ "GPUOutOfMemoryError" "\0"
  /*  4530 */ "GPUPipelineLayout" "\0"
  /*  4548 */ "GPUQuerySet" "\0"
  /*  4560 */ "GPUQueue" "\0"
  /*  4569 */ "GPURenderBundle" "\0"
  /*  4585 */ "GPURenderBundleEncoder" "\0"
  /*  4608 */ "GPURenderPassEncoder" "\0"
  /*  4629 */ "GPURenderPipeline" "\0"
  /*  4647 */ "GPUSampler" "\0"
  /*  4658 */ "GPUShaderModule" "\0"
  /*  4674 */ "GPUShaderStage" "\0"
  /*  4689 */ "GPUSupportedFeatures" "\0"
  /*  4710 */ "GPUSupportedLimits" "\0"
  /*  4729 */ "GPUTexture" "\0"
  /*  4740 */ "GPUTextureUsage" "\0"
  /*  4756 */ "GPUTextureView" "\0"
  /*  4771 */ "GPUUncapturedErrorEvent" "\0"
  /*  4795 */ "GPUValidationError" "\0"
  /*  4814 */ "GainNode" "\0"
  /*  4823 */ "Gamepad" "\0"
  /*  4831 */ "GamepadAxisMoveEvent" "\0"
  /*  4852 */ "GamepadButton" "\0"
  /*  4866 */ "GamepadButtonEvent" "\0"
  /*  4885 */ "GamepadEvent" "\0"
  /*  4898 */ "GamepadHapticActuator" "\0"
  /*  4920 */ "GamepadLightIndicator" "\0"
  /*  4942 */ "GamepadPose" "\0"
  /*  4954 */ "GamepadServiceTest" "\0"
  /*  4973 */ "GamepadTouch" "\0"
  /*  4986 */ "Geolocation" "\0"
  /*  4998 */ "GeolocationCoordinates" "\0"
  /*  5021 */ "GeolocationPosition" "\0"
  /*  5041 */ "GeolocationPositionError" "\0"
  /*  5066 */ "GetUserMediaRequest" "\0"
  /*  5086 */ "GleanBoolean" "\0"
  /*  5099 */ "GleanCategory" "\0"
  /*  5113 */ "GleanCounter" "\0"
  /*  5126 */ "GleanCustomDistribution" "\0"
  /*  5150 */ "GleanDatetime" "\0"
  /*  5164 */ "GleanDenominator" "\0"
  /*  5181 */ "GleanEvent" "\0"
  /*  5192 */ "GleanImpl" "\0"
  /*  5202 */ "GleanLabeled" "\0"
  /*  5215 */ "GleanMemoryDistribution" "\0"
  /*  5239 */ "GleanMetric" "\0"
  /*  5251 */ "GleanNumerator" "\0"
  /*  5266 */ "GleanObject" "\0"
  /*  5278 */ "GleanPingsImpl" "\0"
  /*  5293 */ "GleanQuantity" "\0"
  /*  5307 */ "GleanRate" "\0"
  /*  5317 */ "GleanString" "\0"
  /*  5329 */ "GleanStringList" "\0"
  /*  5345 */ "GleanText" "\0"
  /*  5355 */ "GleanTimespan" "\0"
  /*  5369 */ "GleanTimingDistribution" "\0"
  /*  5393 */ "GleanUrl" "\0"
  /*  5402 */ "GleanUuid" "\0"
  /*  5412 */ "Grid" "\0"
  /*  5417 */ "GridArea" "\0"
  /*  5426 */ "GridDimension" "\0"
  /*  5440 */ "GridLine" "\0"
  /*  5449 */ "GridLines" "\0"
  /*  5459 */ "GridTrack" "\0"
  /*  5469 */ "GridTracks" "\0"
  /*  5480 */ "HTMLAllCollection" "\0"
  /*  5498 */ "HTMLAnchorElement" "\0"
  /*  5516 */ "HTMLAreaElement" "\0"
  /*  5532 */ "HTMLAudioElement" "\0"
  /*  5549 */ "HTMLBRElement" "\0"
  /*  5563 */ "HTMLBaseElement" "\0"
  /*  5579 */ "HTMLBodyElement" "\0"
  /*  5595 */ "HTMLButtonElement" "\0"
  /*  5613 */ "HTMLCanvasElement" "\0"
  /*  5631 */ "HTMLCollection" "\0"
  /*  5646 */ "HTMLDListElement" "\0"
  /*  5663 */ "HTMLDataElement" "\0"
  /*  5679 */ "HTMLDataListElement" "\0"
  /*  5699 */ "HTMLDetailsElement" "\0"
  /*  5718 */ "HTMLDialogElement" "\0"
  /*  5736 */ "HTMLDirectoryElement" "\0"
  /*  5757 */ "HTMLDivElement" "\0"
  /*  5772 */ "HTMLDocument" "\0"
  /*  5785 */ "HTMLElement" "\0"
  /*  5797 */ "HTMLEmbedElement" "\0"
  /*  5814 */ "HTMLFieldSetElement" "\0"
  /*  5834 */ "HTMLFontElement" "\0"
  /*  5850 */ "HTMLFormControlsCollection" "\0"
  /*  5877 */ "HTMLFormElement" "\0"
  /*  5893 */ "HTMLFrameElement" "\0"
  /*  5910 */ "HTMLFrameSetElement" "\0"
  /*  5930 */ "HTMLHRElement" "\0"
  /*  5944 */ "HTMLHeadElement" "\0"
  /*  5960 */ "HTMLHeadingElement" "\0"
  /*  5979 */ "HTMLHtmlElement" "\0"
  /*  5995 */ "HTMLIFrameElement" "\0"
  /*  6013 */ "HTMLImageElement" "\0"
  /*  6030 */ "HTMLInputElement" "\0"
  /*  6047 */ "HTMLLIElement" "\0"
  /*  6061 */ "HTMLLabelElement" "\0"
  /*  6078 */ "HTMLLegendElement" "\0"
  /*  6096 */ "HTMLLinkElement" "\0"
  /*  6112 */ "HTMLMapElement" "\0"
  /*  6127 */ "HTMLMarqueeElement" "\0"
  /*  6146 */ "HTMLMediaElement" "\0"
  /*  6163 */ "HTMLMenuElement" "\0"
  /*  6179 */ "HTMLMetaElement" "\0"
  /*  6195 */ "HTMLMeterElement" "\0"
  /*  6212 */ "HTMLModElement" "\0"
  /*  6227 */ "HTMLOListElement" "\0"
  /*  6244 */ "HTMLObjectElement" "\0"
  /*  6262 */ "HTMLOptGroupElement" "\0"
  /*  6282 */ "HTMLOptionElement" "\0"
  /*  6300 */ "HTMLOptionsCollection" "\0"
  /*  6322 */ "HTMLOutputElement" "\0"
  /*  6340 */ "HTMLParagraphElement" "\0"
  /*  6361 */ "HTMLParamElement" "\0"
  /*  6378 */ "HTMLPictureElement" "\0"
  /*  6397 */ "HTMLPreElement" "\0"
  /*  6412 */ "HTMLProgressElement" "\0"
  /*  6432 */ "HTMLQuoteElement" "\0"
  /*  6449 */ "HTMLScriptElement" "\0"
  /*  6467 */ "HTMLSelectElement" "\0"
  /*  6485 */ "HTMLSlotElement" "\0"
  /*  6501 */ "HTMLSourceElement" "\0"
  /*  6519 */ "HTMLSpanElement" "\0"
  /*  6535 */ "HTMLStyleElement" "\0"
  /*  6552 */ "HTMLTableCaptionElement" "\0"
  /*  6576 */ "HTMLTableCellElement" "\0"
  /*  6597 */ "HTMLTableColElement" "\0"
  /*  6617 */ "HTMLTableElement" "\0"
  /*  6634 */ "HTMLTableRowElement" "\0"
  /*  6654 */ "HTMLTableSectionElement" "\0"
  /*  6678 */ "HTMLTemplateElement" "\0"
  /*  6698 */ "HTMLTextAreaElement" "\0"
  /*  6718 */ "HTMLTimeElement" "\0"
  /*  6734 */ "HTMLTitleElement" "\0"
  /*  6751 */ "HTMLTrackElement" "\0"
  /*  6768 */ "HTMLUListElement" "\0"
  /*  6785 */ "HTMLUnknownElement" "\0"
  /*  6804 */ "HTMLVideoElement" "\0"
  /*  6821 */ "HashChangeEvent" "\0"
  /*  6837 */ "Headers" "\0"
  /*  6845 */ "Headers Iterator" "\0"
  /*  6862 */ "HeapSnapshot" "\0"
  /*  6875 */ "Highlight" "\0"
  /*  6885 */ "HighlightRegistry" "\0"
  /*  6903 */ "History" "\0"
  /*  6911 */ "IDBCursor" "\0"
  /*  6921 */ "IDBCursorWithValue" "\0"
  /*  6940 */ "IDBDatabase" "\0"
  /*  6952 */ "IDBFactory" "\0"
  /*  6963 */ "IDBIndex" "\0"
  /*  6972 */ "IDBKeyRange" "\0"
  /*  6984 */ "IDBObjectStore" "\0"
  /*  6999 */ "IDBOpenDBRequest" "\0"
  /*  7016 */ "IDBRequest" "\0"
  /*  7027 */ "IDBTransaction" "\0"
  /*  7042 */ "IDBVersionChangeEvent" "\0"
  /*  7064 */ "IIRFilterNode" "\0"
  /*  7078 */ "IOUtils" "\0"
  /*  7086 */ "IdentityCredential" "\0"
  /*  7105 */ "IdleDeadline" "\0"
  /*  7118 */ "Image" "\0"
  /*  7124 */ "ImageBitmap" "\0"
  /*  7136 */ "ImageBitmapRenderingContext" "\0"
  /*  7164 */ "ImageCapture" "\0"
  /*  7177 */ "ImageCaptureError" "\0"
  /*  7195 */ "ImageCaptureErrorEvent" "\0"
  /*  7218 */ "ImageData" "\0"
  /*  7228 */ "ImageDocument" "\0"
  /*  7242 */ "InputEvent" "\0"
  /*  7253 */ "InspectorCSSParser" "\0"
  /*  7272 */ "InspectorFontFace" "\0"
  /*  7290 */ "InspectorUtils" "\0"
  /*  7305 */ "InstallTriggerImpl" "\0"
  /*  7324 */ "IntersectionObserver" "\0"
  /*  7345 */ "IntersectionObserverEntry" "\0"
  /*  7371 */ "IntlUtils" "\0"
  /*  7381 */ "InvokeEvent" "\0"
  /*  7393 */ "JSProcessActorChild" "\0"
  /*  7413 */ "JSProcessActorParent" "\0"
  /*  7434 */ "JSWindowActorChild" "\0"
  /*  7453 */ "JSWindowActorParent" "\0"
  /*  7473 */ "KeyEvent" "\0"
  /*  7482 */ "KeyboardEvent" "\0"
  /*  7496 */ "KeyframeEffect" "\0"
  /*  7511 */ "L10nFileSource" "\0"
  /*  7526 */ "L10nOverlays" "\0"
  /*  7539 */ "L10nRegistry" "\0"
  /*  7552 */ "LargestContentfulPaint" "\0"
  /*  7575 */ "LegacyMozTCPSocket" "\0"
  /*  7594 */ "Localization" "\0"
  /*  7607 */ "Location" "\0"
  /*  7616 */ "Lock" "\0"
  /*  7621 */ "LockManager" "\0"
  /*  7633 */ "MIDIAccess" "\0"
  /*  7644 */ "MIDIConnectionEvent" "\0"
  /*  7664 */ "MIDIInput" "\0"
  /*  7674 */ "MIDIInputMap" "\0"
  /*  7687 */ "MIDIMessageEvent" "\0"
  /*  7704 */ "MIDIOutput" "\0"
  /*  7715 */ "MIDIOutputMap" "\0"
  /*  7729 */ "MIDIPort" "\0"
  /*  7738 */ "MOZ_debug" "\0"
  /*  7748 */ "MatchGlob" "\0"
  /*  7758 */ "MatchPattern" "\0"
  /*  7771 */ "MatchPatternSet" "\0"
  /*  7787 */ "MathMLElement" "\0"
  /*  7801 */ "MediaCapabilities" "\0"
  /*  7819 */ "MediaCapabilitiesInfo" "\0"
  /*  7841 */ "MediaControlService" "\0"
  /*  7861 */ "MediaController" "\0"
  /*  7877 */ "MediaDeviceInfo" "\0"
  /*  7893 */ "MediaDevices" "\0"
  /*  7906 */ "MediaElementAudioSourceNode" "\0"
  /*  7934 */ "MediaEncryptedEvent" "\0"
  /*  7954 */ "MediaError" "\0"
  /*  7965 */ "MediaKeyError" "\0"
  /*  7979 */ "MediaKeyMessageEvent" "\0"
  /*  8000 */ "MediaKeySession" "\0"
  /*  8016 */ "MediaKeyStatusMap" "\0"
  /*  8034 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8061 */ "MediaKeySystemAccess" "\0"
  /*  8082 */ "MediaKeys" "\0"
  /*  8092 */ "MediaList" "\0"
  /*  8102 */ "MediaMetadata" "\0"
  /*  8116 */ "MediaQueryList" "\0"
  /*  8131 */ "MediaQueryListEvent" "\0"
  /*  8151 */ "MediaRecorder" "\0"
  /*  8165 */ "MediaRecorderErrorEvent" "\0"
  /*  8189 */ "MediaSession" "\0"
  /*  8202 */ "MediaSource" "\0"
  /*  8214 */ "MediaStream" "\0"
  /*  8226 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8258 */ "MediaStreamAudioSourceNode" "\0"
  /*  8285 */ "MediaStreamError" "\0"
  /*  8302 */ "MediaStreamEvent" "\0"
  /*  8319 */ "MediaStreamTrack" "\0"
  /*  8336 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8368 */ "MediaStreamTrackEvent" "\0"
  /*  8390 */ "MerchantValidationEvent" "\0"
  /*  8414 */ "MessageBroadcaster" "\0"
  /*  8433 */ "MessageChannel" "\0"
  /*  8448 */ "MessageEvent" "\0"
  /*  8461 */ "MessageListenerManager" "\0"
  /*  8484 */ "MessagePort" "\0"
  /*  8496 */ "MessageSender" "\0"
  /*  8510 */ "MimeType" "\0"
  /*  8519 */ "MimeTypeArray" "\0"
  /*  8533 */ "MouseEvent" "\0"
  /*  8544 */ "MouseScrollEvent" "\0"
  /*  8561 */ "MozCanvasPrintState" "\0"
  /*  8581 */ "MozDocumentMatcher" "\0"
  /*  8600 */ "MozDocumentObserver" "\0"
  /*  8620 */ "MozQueryInterface" "\0"
  /*  8638 */ "MozSharedMap" "\0"
  /*  8651 */ "MozSharedMap Iterator" "\0"
  /*  8673 */ "MozSharedMapChangeEvent" "\0"
  /*  8697 */ "MozStorageAsyncStatementParams" "\0"
  /*  8728 */ "MozStorageStatementParams" "\0"
  /*  8754 */ "MozStorageStatementRow" "\0"
  /*  8777 */ "MozWritableSharedMap" "\0"
  /*  8798 */ "MutationEvent" "\0"
  /*  8812 */ "MutationObserver" "\0"
  /*  8829 */ "MutationRecord" "\0"
  /*  8844 */ "NamedNodeMap" "\0"
  /*  8857 */ "NavigationPreloadManager" "\0"
  /*  8882 */ "Navigator" "\0"
  /*  8892 */ "NetworkInformation" "\0"
  /*  8911 */ "Node" "\0"
  /*  8916 */ "NodeFilter" "\0"
  /*  8927 */ "NodeIterator" "\0"
  /*  8940 */ "NodeList" "\0"
  /*  8949 */ "Notification" "\0"
  /*  8962 */ "NotificationEvent" "\0"
  /*  8980 */ "NotifyPaintEvent" "\0"
  /*  8997 */ "OES_draw_buffers_indexed" "\0"
  /*  9022 */ "OES_element_index_uint" "\0"
  /*  9045 */ "OES_fbo_render_mipmap" "\0"
  /*  9067 */ "OES_standard_derivatives" "\0"
  /*  9092 */ "OES_texture_float" "\0"
  /*  9110 */ "OES_texture_float_linear" "\0"
  /*  9135 */ "OES_texture_half_float" "\0"
  /*  9158 */ "OES_texture_half_float_linear" "\0"
  /*  9188 */ "OES_vertex_array_object" "\0"
  /*  9212 */ "OVR_multiview2" "\0"
  /*  9227 */ "OfflineAudioCompletionEvent" "\0"
  /*  9255 */ "OfflineAudioContext" "\0"
  /*  9275 */ "OffscreenCanvas" "\0"
  /*  9291 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9325 */ "Option" "\0"
  /*  9332 */ "OscillatorNode" "\0"
  /*  9347 */ "PageTransitionEvent" "\0"
  /*  9367 */ "PaintRequest" "\0"
  /*  9380 */ "PaintRequestList" "\0"
  /*  9397 */ "PaintWorkletGlobalScope" "\0"
  /*  9421 */ "PannerNode" "\0"
  /*  9432 */ "ParentProcessMessageManager" "\0"
  /*  9460 */ "Path2D" "\0"
  /*  9467 */ "PathUtils" "\0"
  /*  9477 */ "PaymentAddress" "\0"
  /*  9492 */ "PaymentMethodChangeEvent" "\0"
  /*  9517 */ "PaymentRequest" "\0"
  /*  9532 */ "PaymentRequestUpdateEvent" "\0"
  /*  9558 */ "PaymentResponse" "\0"
  /*  9574 */ "Performance" "\0"
  /*  9586 */ "PerformanceEntry" "\0"
  /*  9603 */ "PerformanceEntryEvent" "\0"
  /*  9625 */ "PerformanceEventTiming" "\0"
  /*  9648 */ "PerformanceMark" "\0"
  /*  9664 */ "PerformanceMeasure" "\0"
  /*  9683 */ "PerformanceNavigation" "\0"
  /*  9705 */ "PerformanceNavigationTiming" "\0"
  /*  9733 */ "PerformanceObserver" "\0"
  /*  9753 */ "PerformanceObserverEntryList" "\0"
  /*  9782 */ "PerformancePaintTiming" "\0"
  /*  9805 */ "PerformanceResourceTiming" "\0"
  /*  9831 */ "PerformanceServerTiming" "\0"
  /*  9855 */ "PerformanceTiming" "\0"
  /*  9873 */ "PeriodicWave" "\0"
  /*  9886 */ "PermissionStatus" "\0"
  /*  9903 */ "Permissions" "\0"
  /*  9915 */ "PlacesBookmark" "\0"
  /*  9930 */ "PlacesBookmarkAddition" "\0"
  /*  9953 */ "PlacesBookmarkChanged" "\0"
  /*  9975 */ "PlacesBookmarkGuid" "\0"
  /*  9994 */ "PlacesBookmarkKeyword" "\0"
  /* 10016 */ "PlacesBookmarkMoved" "\0"
  /* 10036 */ "PlacesBookmarkRemoved" "\0"
  /* 10058 */ "PlacesBookmarkTags" "\0"
  /* 10077 */ "PlacesBookmarkTime" "\0"
  /* 10096 */ "PlacesBookmarkTitle" "\0"
  /* 10116 */ "PlacesBookmarkUrl" "\0"
  /* 10134 */ "PlacesEvent" "\0"
  /* 10146 */ "PlacesEventCounts" "\0"
  /* 10164 */ "PlacesFavicon" "\0"
  /* 10178 */ "PlacesHistoryCleared" "\0"
  /* 10199 */ "PlacesObservers" "\0"
  /* 10215 */ "PlacesPurgeCaches" "\0"
  /* 10233 */ "PlacesRanking" "\0"
  /* 10247 */ "PlacesVisit" "\0"
  /* 10259 */ "PlacesVisitRemoved" "\0"
  /* 10278 */ "PlacesVisitTitle" "\0"
  /* 10295 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10321 */ "Plugin" "\0"
  /* 10328 */ "PluginArray" "\0"
  /* 10340 */ "PluginCrashedEvent" "\0"
  /* 10359 */ "PointerEvent" "\0"
  /* 10372 */ "PopStateEvent" "\0"
  /* 10386 */ "PopupBlockedEvent" "\0"
  /* 10404 */ "PopupPositionedEvent" "\0"
  /* 10425 */ "PositionStateEvent" "\0"
  /* 10444 */ "PrecompiledScript" "\0"
  /* 10462 */ "PrivateAttribution" "\0"
  /* 10481 */ "ProcessMessageManager" "\0"
  /* 10503 */ "ProcessingInstruction" "\0"
  /* 10525 */ "ProgressEvent" "\0"
  /* 10539 */ "PromiseDebugging" "\0"
  /* 10556 */ "PromiseNativeHandler" "\0"
  /* 10577 */ "PromiseRejectionEvent" "\0"
  /* 10599 */ "PublicKeyCredential" "\0"
  /* 10619 */ "PushEvent" "\0"
  /* 10629 */ "PushManager" "\0"
  /* 10641 */ "PushManagerImpl" "\0"
  /* 10657 */ "PushMessageData" "\0"
  /* 10673 */ "PushSubscription" "\0"
  /* 10690 */ "PushSubscriptionOptions" "\0"
  /* 10714 */ "RadioNodeList" "\0"
  /* 10728 */ "Range" "\0"
  /* 10734 */ "ReadableByteStreamController" "\0"
  /* 10763 */ "ReadableStream" "\0"
  /* 10778 */ "ReadableStream AsyncIterator" "\0"
  /* 10807 */ "ReadableStreamBYOBReader" "\0"
  /* 10832 */ "ReadableStreamBYOBRequest" "\0"
  /* 10858 */ "ReadableStreamDefaultController" "\0"
  /* 10890 */ "ReadableStreamDefaultReader" "\0"
  /* 10918 */ "Report" "\0"
  /* 10925 */ "ReportBody" "\0"
  /* 10936 */ "ReportingObserver" "\0"
  /* 10954 */ "Request" "\0"
  /* 10962 */ "ResizeObserver" "\0"
  /* 10977 */ "ResizeObserverEntry" "\0"
  /* 10997 */ "ResizeObserverSize" "\0"
  /* 11016 */ "Response" "\0"
  /* 11025 */ "SVGAElement" "\0"
  /* 11037 */ "SVGAngle" "\0"
  /* 11046 */ "SVGAnimateElement" "\0"
  /* 11064 */ "SVGAnimateMotionElement" "\0"
  /* 11088 */ "SVGAnimateTransformElement" "\0"
  /* 11115 */ "SVGAnimatedAngle" "\0"
  /* 11132 */ "SVGAnimatedBoolean" "\0"
  /* 11151 */ "SVGAnimatedEnumeration" "\0"
  /* 11174 */ "SVGAnimatedInteger" "\0"
  /* 11193 */ "SVGAnimatedLength" "\0"
  /* 11211 */ "SVGAnimatedLengthList" "\0"
  /* 11233 */ "SVGAnimatedNumber" "\0"
  /* 11251 */ "SVGAnimatedNumberList" "\0"
  /* 11273 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11304 */ "SVGAnimatedRect" "\0"
  /* 11320 */ "SVGAnimatedString" "\0"
  /* 11338 */ "SVGAnimatedTransformList" "\0"
  /* 11363 */ "SVGAnimationElement" "\0"
  /* 11383 */ "SVGCircleElement" "\0"
  /* 11400 */ "SVGClipPathElement" "\0"
  /* 11419 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11455 */ "SVGDefsElement" "\0"
  /* 11470 */ "SVGDescElement" "\0"
  /* 11485 */ "SVGElement" "\0"
  /* 11496 */ "SVGEllipseElement" "\0"
  /* 11514 */ "SVGFEBlendElement" "\0"
  /* 11532 */ "SVGFEColorMatrixElement" "\0"
  /* 11556 */ "SVGFEComponentTransferElement" "\0"
  /* 11586 */ "SVGFECompositeElement" "\0"
  /* 11608 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11635 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11663 */ "SVGFEDisplacementMapElement" "\0"
  /* 11691 */ "SVGFEDistantLightElement" "\0"
  /* 11716 */ "SVGFEDropShadowElement" "\0"
  /* 11739 */ "SVGFEFloodElement" "\0"
  /* 11757 */ "SVGFEFuncAElement" "\0"
  /* 11775 */ "SVGFEFuncBElement" "\0"
  /* 11793 */ "SVGFEFuncGElement" "\0"
  /* 11811 */ "SVGFEFuncRElement" "\0"
  /* 11829 */ "SVGFEGaussianBlurElement" "\0"
  /* 11854 */ "SVGFEImageElement" "\0"
  /* 11872 */ "SVGFEMergeElement" "\0"
  /* 11890 */ "SVGFEMergeNodeElement" "\0"
  /* 11912 */ "SVGFEMorphologyElement" "\0"
  /* 11935 */ "SVGFEOffsetElement" "\0"
  /* 11954 */ "SVGFEPointLightElement" "\0"
  /* 11977 */ "SVGFESpecularLightingElement" "\0"
  /* 12006 */ "SVGFESpotLightElement" "\0"
  /* 12028 */ "SVGFETileElement" "\0"
  /* 12045 */ "SVGFETurbulenceElement" "\0"
  /* 12068 */ "SVGFilterElement" "\0"
  /* 12085 */ "SVGForeignObjectElement" "\0"
  /* 12109 */ "SVGGElement" "\0"
  /* 12121 */ "SVGGeometryElement" "\0"
  /* 12140 */ "SVGGradientElement" "\0"
  /* 12159 */ "SVGGraphicsElement" "\0"
  /* 12178 */ "SVGImageElement" "\0"
  /* 12194 */ "SVGLength" "\0"
  /* 12204 */ "SVGLengthList" "\0"
  /* 12218 */ "SVGLineElement" "\0"
  /* 12233 */ "SVGLinearGradientElement" "\0"
  /* 12258 */ "SVGMPathElement" "\0"
  /* 12274 */ "SVGMarkerElement" "\0"
  /* 12291 */ "SVGMaskElement" "\0"
  /* 12306 */ "SVGMatrix" "\0"
  /* 12316 */ "SVGMetadataElement" "\0"
  /* 12335 */ "SVGNumber" "\0"
  /* 12345 */ "SVGNumberList" "\0"
  /* 12359 */ "SVGPathElement" "\0"
  /* 12374 */ "SVGPathSeg" "\0"
  /* 12385 */ "SVGPathSegArcAbs" "\0"
  /* 12402 */ "SVGPathSegArcRel" "\0"
  /* 12419 */ "SVGPathSegClosePath" "\0"
  /* 12439 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12465 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12491 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12523 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12555 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12585 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12615 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12651 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12687 */ "SVGPathSegLinetoAbs" "\0"
  /* 12707 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12737 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12767 */ "SVGPathSegLinetoRel" "\0"
  /* 12787 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12815 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12843 */ "SVGPathSegList" "\0"
  /* 12858 */ "SVGPathSegMovetoAbs" "\0"
  /* 12878 */ "SVGPathSegMovetoRel" "\0"
  /* 12898 */ "SVGPatternElement" "\0"
  /* 12916 */ "SVGPoint" "\0"
  /* 12925 */ "SVGPointList" "\0"
  /* 12938 */ "SVGPolygonElement" "\0"
  /* 12956 */ "SVGPolylineElement" "\0"
  /* 12975 */ "SVGPreserveAspectRatio" "\0"
  /* 12998 */ "SVGRadialGradientElement" "\0"
  /* 13023 */ "SVGRect" "\0"
  /* 13031 */ "SVGRectElement" "\0"
  /* 13046 */ "SVGSVGElement" "\0"
  /* 13060 */ "SVGScriptElement" "\0"
  /* 13077 */ "SVGSetElement" "\0"
  /* 13091 */ "SVGStopElement" "\0"
  /* 13106 */ "SVGStringList" "\0"
  /* 13120 */ "SVGStyleElement" "\0"
  /* 13136 */ "SVGSwitchElement" "\0"
  /* 13153 */ "SVGSymbolElement" "\0"
  /* 13170 */ "SVGTSpanElement" "\0"
  /* 13186 */ "SVGTextContentElement" "\0"
  /* 13208 */ "SVGTextElement" "\0"
  /* 13223 */ "SVGTextPathElement" "\0"
  /* 13242 */ "SVGTextPositioningElement" "\0"
  /* 13268 */ "SVGTitleElement" "\0"
  /* 13284 */ "SVGTransform" "\0"
  /* 13297 */ "SVGTransformList" "\0"
  /* 13314 */ "SVGUnitTypes" "\0"
  /* 13327 */ "SVGUseElement" "\0"
  /* 13341 */ "SVGViewElement" "\0"
  /* 13356 */ "Sanitizer" "\0"
  /* 13366 */ "Scheduler" "\0"
  /* 13376 */ "Screen" "\0"
  /* 13383 */ "ScreenLuminance" "\0"
  /* 13399 */ "ScreenOrientation" "\0"
  /* 13417 */ "ScriptProcessorNode" "\0"
  /* 13437 */ "ScrollAreaEvent" "\0"
  /* 13453 */ "ScrollViewChangeEvent" "\0"
  /* 13475 */ "SecurityPolicyViolationEvent" "\0"
  /* 13504 */ "Selection" "\0"
  /* 13514 */ "ServiceWorker" "\0"
  /* 13528 */ "ServiceWorkerContainer" "\0"
  /* 13551 */ "ServiceWorkerGlobalScope" "\0"
  /* 13576 */ "ServiceWorkerRegistration" "\0"
  /* 13602 */ "SessionStoreFormData" "\0"
  /* 13623 */ "SessionStoreScrollData" "\0"
  /* 13646 */ "SessionStoreUtils" "\0"
  /* 13664 */ "ShadowRealmGlobalScope" "\0"
  /* 13687 */ "ShadowRoot" "\0"
  /* 13698 */ "SharedWorker" "\0"
  /* 13711 */ "SharedWorkerGlobalScope" "\0"
  /* 13735 */ "SimpleGestureEvent" "\0"
  /* 13754 */ "SourceBuffer" "\0"
  /* 13767 */ "SourceBufferList" "\0"
  /* 13784 */ "SpeechGrammar" "\0"
  /* 13798 */ "SpeechGrammarList" "\0"
  /* 13816 */ "SpeechRecognition" "\0"
  /* 13834 */ "SpeechRecognitionAlternative" "\0"
  /* 13863 */ "SpeechRecognitionError" "\0"
  /* 13886 */ "SpeechRecognitionEvent" "\0"
  /* 13909 */ "SpeechRecognitionResult" "\0"
  /* 13933 */ "SpeechRecognitionResultList" "\0"
  /* 13961 */ "SpeechSynthesis" "\0"
  /* 13977 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14003 */ "SpeechSynthesisEvent" "\0"
  /* 14024 */ "SpeechSynthesisUtterance" "\0"
  /* 14049 */ "SpeechSynthesisVoice" "\0"
  /* 14070 */ "StaticRange" "\0"
  /* 14082 */ "StereoPannerNode" "\0"
  /* 14099 */ "Storage" "\0"
  /* 14107 */ "StorageEvent" "\0"
  /* 14120 */ "StorageManager" "\0"
  /* 14135 */ "StreamFilter" "\0"
  /* 14148 */ "StreamFilterDataEvent" "\0"
  /* 14170 */ "StructuredCloneHolder" "\0"
  /* 14192 */ "StructuredCloneTester" "\0"
  /* 14214 */ "StyleSheet" "\0"
  /* 14225 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14262 */ "StyleSheetList" "\0"
  /* 14277 */ "StyleSheetRemovedEvent" "\0"
  /* 14300 */ "SubmitEvent" "\0"
  /* 14312 */ "SubtleCrypto" "\0"
  /* 14325 */ "SyncMessageSender" "\0"
  /* 14343 */ "SyncReadFile" "\0"
  /* 14356 */ "TCPServerSocket" "\0"
  /* 14372 */ "TCPServerSocketEvent" "\0"
  /* 14393 */ "TCPSocket" "\0"
  /* 14403 */ "TCPSocketErrorEvent" "\0"
  /* 14423 */ "TCPSocketEvent" "\0"
  /* 14438 */ "TaskController" "\0"
  /* 14453 */ "TaskPriorityChangeEvent" "\0"
  /* 14477 */ "TaskSignal" "\0"
  /* 14488 */ "TelemetryStopwatch" "\0"
  /* 14507 */ "TestUtils" "\0"
  /* 14517 */ "TestingDeprecatedInterface" "\0"
  /* 14544 */ "Text" "\0"
  /* 14549 */ "TextClause" "\0"
  /* 14560 */ "TextDecoder" "\0"
  /* 14572 */ "TextDecoderStream" "\0"
  /* 14590 */ "TextEncoder" "\0"
  /* 14602 */ "TextEncoderStream" "\0"
  /* 14620 */ "TextEvent" "\0"
  /* 14630 */ "TextMetrics" "\0"
  /* 14642 */ "TextTrack" "\0"
  /* 14652 */ "TextTrackCue" "\0"
  /* 14665 */ "TextTrackCueList" "\0"
  /* 14682 */ "TextTrackList" "\0"
  /* 14696 */ "TimeEvent" "\0"
  /* 14706 */ "TimeRanges" "\0"
  /* 14717 */ "ToggleEvent" "\0"
  /* 14729 */ "Touch" "\0"
  /* 14735 */ "TouchEvent" "\0"
  /* 14746 */ "TouchList" "\0"
  /* 14756 */ "TrackEvent" "\0"
  /* 14767 */ "TransformStream" "\0"
  /* 14783 */ "TransformStreamDefaultController" "\0"
  /* 14816 */ "TransitionEvent" "\0"
  /* 14832 */ "TreeColumn" "\0"
  /* 14843 */ "TreeColumns" "\0"
  /* 14855 */ "TreeContentView" "\0"
  /* 14871 */ "TreeWalker" "\0"
  /* 14882 */ "TrustedHTML" "\0"
  /* 14894 */ "TrustedScript" "\0"
  /* 14908 */ "TrustedScriptURL" "\0"
  /* 14925 */ "TrustedTypePolicy" "\0"
  /* 14943 */ "TrustedTypePolicyFactory" "\0"
  /* 14968 */ "UDPMessageEvent" "\0"
  /* 14984 */ "UDPSocket" "\0"
  /* 14994 */ "UIEvent" "\0"
  /* 15002 */ "URL" "\0"
  /* 15006 */ "URLSearchParams" "\0"
  /* 15022 */ "URLSearchParams Iterator" "\0"
  /* 15047 */ "UniFFIPointer" "\0"
  /* 15061 */ "UniFFIScaffolding" "\0"
  /* 15079 */ "UserActivation" "\0"
  /* 15094 */ "UserInteraction" "\0"
  /* 15110 */ "UserProximityEvent" "\0"
  /* 15129 */ "VRDisplay" "\0"
  /* 15139 */ "VRDisplayCapabilities" "\0"
  /* 15161 */ "VRDisplayEvent" "\0"
  /* 15176 */ "VREyeParameters" "\0"
  /* 15192 */ "VRFieldOfView" "\0"
  /* 15206 */ "VRFrameData" "\0"
  /* 15218 */ "VRMockController" "\0"
  /* 15235 */ "VRMockDisplay" "\0"
  /* 15249 */ "VRPose" "\0"
  /* 15256 */ "VRServiceTest" "\0"
  /* 15270 */ "VRStageParameters" "\0"
  /* 15288 */ "VTTCue" "\0"
  /* 15295 */ "VTTRegion" "\0"
  /* 15305 */ "ValidityState" "\0"
  /* 15319 */ "VideoColorSpace" "\0"
  /* 15335 */ "VideoDecoder" "\0"
  /* 15348 */ "VideoEncoder" "\0"
  /* 15361 */ "VideoFrame" "\0"
  /* 15372 */ "VideoPlaybackQuality" "\0"
  /* 15393 */ "VideoTrack" "\0"
  /* 15404 */ "VideoTrackList" "\0"
  /* 15419 */ "VisualViewport" "\0"
  /* 15434 */ "WEBGL_color_buffer_float" "\0"
  /* 15459 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15489 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15518 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15548 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15579 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15609 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15644 */ "WEBGL_debug_renderer_info" "\0"
  /* 15670 */ "WEBGL_debug_shaders" "\0"
  /* 15690 */ "WEBGL_depth_texture" "\0"
  /* 15710 */ "WEBGL_draw_buffers" "\0"
  /* 15729 */ "WEBGL_explicit_present" "\0"
  /* 15752 */ "WEBGL_lose_context" "\0"
  /* 15771 */ "WEBGL_provoking_vertex" "\0"
  /* 15794 */ "WakeLock" "\0"
  /* 15803 */ "WakeLockSentinel" "\0"
  /* 15820 */ "WaveShaperNode" "\0"
  /* 15835 */ "WebExtensionContentScript" "\0"
  /* 15861 */ "WebExtensionPolicy" "\0"
  /* 15880 */ "WebGL2RenderingContext" "\0"
  /* 15903 */ "WebGLActiveInfo" "\0"
  /* 15919 */ "WebGLBuffer" "\0"
  /* 15931 */ "WebGLContextEvent" "\0"
  /* 15949 */ "WebGLFramebuffer" "\0"
  /* 15966 */ "WebGLProgram" "\0"
  /* 15979 */ "WebGLQuery" "\0"
  /* 15990 */ "WebGLRenderbuffer" "\0"
  /* 16008 */ "WebGLRenderingContext" "\0"
  /* 16030 */ "WebGLSampler" "\0"
  /* 16043 */ "WebGLShader" "\0"
  /* 16055 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16082 */ "WebGLSync" "\0"
  /* 16092 */ "WebGLTexture" "\0"
  /* 16105 */ "WebGLTransformFeedback" "\0"
  /* 16128 */ "WebGLUniformLocation" "\0"
  /* 16149 */ "WebGLVertexArrayObject" "\0"
  /* 16172 */ "WebKitCSSMatrix" "\0"
  /* 16188 */ "WebSocket" "\0"
  /* 16198 */ "WebTransport" "\0"
  /* 16211 */ "WebTransportBidirectionalStream" "\0"
  /* 16243 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16276 */ "WebTransportError" "\0"
  /* 16294 */ "WebTransportReceiveStream" "\0"
  /* 16320 */ "WebTransportSendStream" "\0"
  /* 16343 */ "WheelEvent" "\0"
  /* 16354 */ "Window" "\0"
  /* 16361 */ "WindowClient" "\0"
  /* 16374 */ "WindowContext" "\0"
  /* 16388 */ "WindowGlobalChild" "\0"
  /* 16406 */ "WindowGlobalParent" "\0"
  /* 16425 */ "WindowRoot" "\0"
  /* 16436 */ "Worker" "\0"
  /* 16443 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16469 */ "WorkerGlobalScope" "\0"
  /* 16487 */ "WorkerLocation" "\0"
  /* 16502 */ "WorkerNavigator" "\0"
  /* 16518 */ "WorkerTestUtils" "\0"
  /* 16534 */ "Worklet" "\0"
  /* 16542 */ "WorkletGlobalScope" "\0"
  /* 16561 */ "WritableStream" "\0"
  /* 16576 */ "WritableStreamDefaultController" "\0"
  /* 16608 */ "WritableStreamDefaultWriter" "\0"
  /* 16636 */ "XMLDocument" "\0"
  /* 16648 */ "XMLHttpRequest" "\0"
  /* 16663 */ "XMLHttpRequestEventTarget" "\0"
  /* 16689 */ "XMLHttpRequestUpload" "\0"
  /* 16710 */ "XMLSerializer" "\0"
  /* 16724 */ "XPathEvaluator" "\0"
  /* 16739 */ "XPathExpression" "\0"
  /* 16755 */ "XPathResult" "\0"
  /* 16767 */ "XRBoundedReferenceSpace" "\0"
  /* 16791 */ "XRFrame" "\0"
  /* 16799 */ "XRInputSource" "\0"
  /* 16813 */ "XRInputSourceArray" "\0"
  /* 16832 */ "XRInputSourceEvent" "\0"
  /* 16851 */ "XRInputSourcesChangeEvent" "\0"
  /* 16877 */ "XRPose" "\0"
  /* 16884 */ "XRReferenceSpace" "\0"
  /* 16901 */ "XRReferenceSpaceEvent" "\0"
  /* 16923 */ "XRRenderState" "\0"
  /* 16937 */ "XRRigidTransform" "\0"
  /* 16954 */ "XRSession" "\0"
  /* 16964 */ "XRSessionEvent" "\0"
  /* 16979 */ "XRSpace" "\0"
  /* 16987 */ "XRSystem" "\0"
  /* 16996 */ "XRView" "\0"
  /* 17003 */ "XRViewerPose" "\0"
  /* 17016 */ "XRViewport" "\0"
  /* 17027 */ "XRWebGLLayer" "\0"
  /* 17040 */ "XSLTProcessor" "\0"
  /* 17054 */ "XULCommandEvent" "\0"
  /* 17070 */ "XULElement" "\0"
  /* 17081 */ "XULFrameElement" "\0"
  /* 17097 */ "XULMenuElement" "\0"
  /* 17112 */ "XULPopupElement" "\0"
  /* 17128 */ "XULResizerElement" "\0"
  /* 17146 */ "XULTextElement" "\0"
  /* 17161 */ "XULTreeElement" "\0"
  /* 17176 */ "console" "\0"
  /* 17184 */ "webkitSpeechGrammar" "\0"
  /* 17204 */ "webkitSpeechGrammarList" "\0"
  /* 17228 */ "webkitSpeechRecognition" "\0"
  /* 17252 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

